org.apache.ignite.internal.processors.platform.entityframework

## Class PlatformDotNetEntityFrameworkCacheEntry

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.entityframework.PlatformDotNetEntityFrameworkCacheEntry

All Implemented Interfaces:
  Binarylizable

    public class PlatformDotNetEntityFrameworkCacheEntry
    extends Object
    implements Binarylizable

EntityFramework cache entry.

### Constructor Summary

Constructors
Constructor and Description
`PlatformDotNetEntityFrameworkCacheEntry()` Ctor.

### Method Summary

Methods
`byte[]` `data()`
`String[]` `entitySets()`
`void` `readBinary(BinaryReader reader)` Reads fields from provided reader.
`void` `writeBinary(BinaryWriter writer)` Writes fields to provided writer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlatformDotNetEntityFrameworkCacheEntry

    public PlatformDotNetEntityFrameworkCacheEntry()

Ctor.

### Method Detail

#### entitySets

    public String[] entitySets()

Returns:
  Dependent entity sets with versions.

#### data

    public byte[] data()

Returns:
  Cached data bytes.

#### writeBinary

    public void writeBinary(BinaryWriter writer)
                     throws BinaryObjectException

Writes fields to provided writer.

Specified by:
  `writeBinary` in interface `Binarylizable`
Parameters:
  `writer` - Binary object writer.
Throws:
  `BinaryObjectException` - In case of error.

#### readBinary

    public void readBinary(BinaryReader reader)
                    throws BinaryObjectException

Reads fields from provided reader.

Specified by:
  `readBinary` in interface `Binarylizable`
Parameters:
  `reader` - Binary object reader.
Throws:
  `BinaryObjectException` - In case of error.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.9.0
Release Date | : March 2 2017